from flask import *

import threading

from init import init_all
from service.producer import run_kafka_producer
from conf.util import *

# from web import app
from router.api import api_bp
from router.page import page_bp

app = Flask(__name__)

# 获取配置对象
conf = get_config_object()

# 注册路由
app.register_blueprint(api_bp)
app.register_blueprint(page_bp)

# 启动
if __name__ == '__main__':
    # 初始化
    init_all()
    
    # 运行Kafka与Spark相关

    kafka_producer_t = threading.Thread(target=run_kafka_producer())
    web_t = threading.Thread(target=app.run(host=conf.get('server', 'listen'), port=conf.get('server', 'port'), debug=conf.get('server', 'debug')))
    kafka_producer_t.start()
    web_t.start()



    # 运行Web服务



